%define gnome_icon_theme_version 1.2.3
%define gtkhtml_major 3.8
%define libgnomeprint_version 2.7.1

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name: 		libgtkhtml38
Version: 	3.12.3
Release: 	1
# editor component is GPLv2
License: 	LGPLv2+ and GPLv2
Group: 		System/Libraries
Summary: 	GtkHTML library, API version 3.8
Source:	 	http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/3.12/gtkhtml-%{version}.tar.bz2
URL: 		http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/
BuildRoot: 	%{_tmppath}/gtkhtml-%{version}-root

### Patches ###

# Partial band-aid for an editing crash (bug #129844)
# http://bugzilla.ximian.com/show_bug.cgi?id=50052
Patch1: 	gtkhtml-3.3.0-crash.patch
# Patches from bugzilla.ximian.com #65670, #66206
Patch2: 	gtkhtml-3.3.2-imcommit.patch
Patch3: 	gtkhtml-fix-indic-navigation-129212.patch
Patch4: 	gtkhtml-3.10.0-im-too-late.patch
Patch5: 	print-font-gtkhtml3.8-fix.patch

# Gnome.org bug #353424.
Patch6: 	gtkhtml-3.11.92-chain-finalize.patch

### Dependencies ###

Requires: 	gnome-icon-theme >= %{gnome_icon_theme_version}
Requires: 	libgnomeprint >= %{libgnomeprint_version}

### Build Dependencies ###

BuildRequires: 	gail-devel
BuildRequires: 	gettext
BuildRequires: 	gnome-icon-theme >= %{gnome_icon_theme_version}
BuildRequires: 	intltool
BuildRequires: 	libglade-devel >= 2.0
BuildRequires: 	libgnomeprint-devel >= %{libgnomeprint_version}
BuildRequires: 	libgnomeprintui-devel >= %{libgnomeprint_version}
BuildRequires: 	libgnomeui-devel >= 2.0
BuildRequires: 	libtool

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

This package implements the GtkHTML 3.8 API, for packages who cannot
use newer versions of GtkHTML.

%package devel
Group: 		Development/Libraries
Summary: 	Libraries, includes, etc to develop GtkHTML 3.8 applications
Requires: 	%{name} = %{version}-%{release}
Requires: 	libglade-devel >= 2.0
Requires: 	libgnomeprint-devel >= 2.2.0
Requires: 	libgnomeprintui-devel >= 2.2.1
Requires: 	libgnomeui-devel >= 2.0

%description devel
Libraries and include files that can be used to develop GtkHTML applications.

This package implements the GtkHTML 3.8 API, for packages who cannot
use newer versions of GtkHTML.

%prep
%setup -q -n gtkhtml-%{version}
%patch1 -p1 -b .crash
%patch3 -p1 -b .fix-129212
%patch4 -p1 -b .im-too-late
%patch5 -p1 -b .print
%patch6 -p1 -b .chain-finalize

%build
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make install LIBTOOL=/usr/bin/libtool DESTDIR=$RPM_BUILD_ROOT


for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
  sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

%find_lang gtkhtml-%{gtkhtml_major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gtkhtml-%{gtkhtml_major}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%dir %{_libdir}/gtkhtml
%{_libdir}/libgtkhtml-%{gtkhtml_major}.so.*
%{_libdir}/gtkhtml/libgnome-gtkhtml-editor-%{gtkhtml_major}.so
%{_libdir}/bonobo/servers/GNOME_GtkHTML_Editor-%{gtkhtml_major}.server
%{_datadir}/gtkhtml-%{gtkhtml_major}

%files devel
%defattr(-, root, root)
%{_includedir}/libgtkhtml-%{gtkhtml_major}
%{_libdir}/libgtkhtml-%{gtkhtml_major}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/gtkhtml/*.la
%{_libdir}/gtkhtml/*.a



%changelog
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 3.12.3-1
- Initial release
